/// <reference types="node" />
export declare enum ModbusDatatype {
    acc32 = 0,
    acc64 = 1,
    bitfield16 = 2,
    bitfield32 = 3,
    enum16 = 4,
    int16 = 5,
    int32 = 6,
    string = 7,
    sunssf = 8,
    uint16 = 9,
    uint32 = 10,
    uint64 = 11
}
export declare namespace ModbusDatatype {
    function words(dtype: ModbusDatatype): number | undefined;
    function fromBuffer(dtype: ModbusDatatype, buffer: Buffer): number | string | undefined;
}
export declare enum ModbusPermission {
    RW = 0,
    RO = 1
}
export interface ModbusDefinition {
    address: number;
    datatype: ModbusDatatype;
    permission: ModbusPermission;
}
